Class | RSS::Maker::RSS20::Channel::Cloud
In: | rss/maker/2.0.rb
Parent: | RSS09::Channel::Cloud

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/2.0.rb, line 44
              def have_required_values?
                @domain and @port and @path and
                  @registerProcedure and @protocol
              end

to_rss(rss, channel)

[Source]

    # File rss/maker/2.0.rb, line 35
              def to_rss(rss, channel)
                cloud = Rss::Channel::Cloud.new
                set = setup_values(cloud)
                if set
                  channel.cloud = cloud
                  setup_other_elements(rss)
                end
              end

[Validate]